Last Comment Bug 651510 - Signature for JS_StructuredClone differs in jsapi.h and jsapi.cpp
: Signature for JS_StructuredClone differs in jsapi.h and jsapi.cpp
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Rob Arnold [:robarnold]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-20 08:26 PDT by Rob Arnold [:robarnold]
Modified: 2011-04-28 14:57 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove the extra unused parameter (476 bytes, patch)
2011-04-20 08:28 PDT, Rob Arnold [:robarnold]
jorendorff: review+
Details | Diff | Splinter Review

Description Rob Arnold [:robarnold] 2011-04-20 08:26:54 PDT
It seems to take an extra (ReadStructuredCloneOp optionalReadOp) parameter in the jsapi.cpp definition so you can't actually link against it.
Comment 1 Rob Arnold [:robarnold] 2011-04-20 08:28:55 PDT
Created attachment 527275 [details] [diff] [review]
Remove the extra unused parameter
Comment 2 Jason Orendorff [:jorendorff] 2011-04-25 11:42:45 PDT
Comment on attachment 527275 [details] [diff] [review]
Remove the extra unused parameter

Review of attachment 527275 [details] [diff] [review]:

Well that was bizarre. Botched merge, maybe? Or did I really write that? :-P

Thanks, r=me.
Comment 3 Rob Arnold [:robarnold] 2011-04-28 14:57:50 PDT
I pushed this to TM:
http://hg.mozilla.org/tracemonkey/rev/5ed5999041be

Note You need to log in before you can comment on or make changes to this bug.